# Enum Class SyVisibility

java.lang.Object
java.lang.Enum<SyVisibility>
com.io7m.jsycamore.api.visibility.SyVisibility

All Implemented Interfaces:
  `Serializable, Comparable<SyVisibility>, Constable`

public enum SyVisibility extends Enum<SyVisibility>
A specification of visibility for a component.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VISIBILITY_INVISIBLE`
  The component is invisible.
  `VISIBILITY_VISIBLE`
  The component is visible (assuming that its parent is also visible).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SyVisibility`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyVisibility[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VISIBILITY_INVISIBLE

    public static final SyVisibility VISIBILITY_INVISIBLE
    The component is invisible. Accordingly, all children of the component are invisible too.

  - ### VISIBILITY_VISIBLE

    public static final SyVisibility VISIBILITY_VISIBLE
    The component is visible (assuming that its parent is also visible).

- ## Method Details

  - ### values

    public static SyVisibility[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyVisibility valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null